package com.ruoyi.material.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 物料成本对象 c_material_cost
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public class CMaterialCost extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long costId;

    /** 关联物料编码 */
    @Excel(name = "关联物料编码")
    private Long costMaterialId;

    /** 关联用料id */
    @Excel(name = "关联用料id")
    private String costClId;

    /** 关联用料 */
    @Excel(name = "关联用料")
    private String materialName;

    /** 用量 */
    @Excel(name = "用量")
    private BigDecimal costClQty;

    /** 用量2 */
    @Excel(name = "用量2")
    private BigDecimal costClQty2;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal materialPrice;

    public void setCostId(Long costId)
    {
        this.costId = costId;
    }

    public Long getCostId()
    {
        return costId;
    }
    public void setCostMaterialId(Long costMaterialId)
    {
        this.costMaterialId = costMaterialId;
    }

    public Long getCostMaterialId()
    {
        return costMaterialId;
    }
    public void setCostClId(String costClId)
    {
        this.costClId = costClId;
    }

    public String getCostClId()
    {
        return costClId;
    }
    public void setCostClQty(BigDecimal costClQty)
    {
        this.costClQty = costClQty;
    }

    public String getMaterialName() {return materialName;}
    public void setMaterialName(String materialName) {this.materialName = materialName;}

    public BigDecimal getCostClQty()
    {
        return costClQty;
    }
    public void setCostClQty2(BigDecimal costClQty2)
    {
        this.costClQty2 = costClQty2;
    }

    public BigDecimal getCostClQty2()
    {
        return costClQty2;
    }

    public BigDecimal getMaterialPrice() {return materialPrice;}

    public void setMaterialPrice(BigDecimal materialPrice) {this.materialPrice = materialPrice;}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("costId", getCostId())
            .append("costMaterialId", getCostMaterialId())
            .append("costClId", getCostClId())
            .append("costClQty", getCostClQty())
            .append("costClQty2", getCostClQty2())
            .toString();
    }
}
